import json

from metadocker.cmdline.commands.base import SpecificCommand, Argument
from metadocker.docker import DockerBuilder
from metadocker.docker.driver import driver


class StatusCommand(SpecificCommand):
    NAME = "status"
    HELP = "Stop le conteneur"
    ARGUMENTS = [
    ]
    def run(self, env):
        name = env.docker.name
        data = driver.ps(name=name, classe=dict)
        if data:
            print(json.dumps(data[0], indent = 2))
            return 0
        return -1

